<node>
  <interface name="com.lomiri.ThumbnailerAdmin">
    <method name="Stats">
      <!--
         See stats.h.
         The type is a struct AllStats with three identical members of type CacheStats.
         Each CacheStats has members:
             - cache_path (string)
             - policy (uint32)
             - various counters (9 int64, 2 double, and 2 more int64 members)
             - time stamps (4 uint64 members, millisecs since the epoch)
             - histogram (array of 74 uint32)
      -->
      <arg direction="out" type="(suxxxxxxxxxddxxttttau)(suxxxxxxxxxddxxttttau)(suxxxxxxxxxddxxttttau)" name="stats" />
      <annotation name="org.qtproject.QtDBus.QtTypeName.Out0" value="lomiri::thumbnailer::service::AllStats"/>
    </method>
    <method name="Clear">
      <!--
        Clears the selected cache (0 = all, 1 = image cache, 2 = thumbnail cache, 3 = failure cache).
      -->
      <arg direction="in" type="i" name="cache_id" />
    </method>
    <method name="ClearStats">
      <!--
        Clears statistics for the selected cache (0 = all, 1 = image cache, 2 = thumbnail cache, 3 = failure cache).
      -->
      <arg direction="in" type="i" name="cache_id" />
    </method>
    <method name="Compact">
      <!--
        Compacts the selected cache to consume minimal disk space (0 = all, 1 = image cache, 2 = thumbnail cache, 3 = failure cache).
      -->
      <arg direction="in" type="i" name="cache_id" />
    </method>
    <method name="Shutdown">
      <!--
        Shuts down the thumbnailer service.
      -->
    </method>
  </interface>
</node>
